﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;
using System.Drawing;
using System.IO;

namespace Sample
{
    class Program
    {
        static void Main(string[] args)
        {
            //Create a new Word document
            WordDocument document = new WordDocument();            
            //Open the document using the memory stream
            document.Open(@"..\..\Data\Template.docx", FormatType.Docx);
            //Find the place holder in the input document
            TextSelection textSelection = document.Find("${place holder}", false, true);
            //The found string can be replaced with a TextBodyPart 
            //Create new TextBodyPart
            TextBodyPart textBodyPart = new TextBodyPart(document);
            //Create new table
            WTable table = new WTable(document);
            //Define rows and columns count
            table.ResetCells(3, 2);
            //Accessess the instance of the cell (first row, first cell) and adds the content into cell
            IWTextRange textRange = table[0, 0].AddParagraph().AppendText("Item");
            textRange.CharacterFormat.FontName = "Arial";
            textRange.CharacterFormat.FontSize = 12;
            textRange.CharacterFormat.Bold = true;
            //Accessess the instance of the cell (first row, second cell) and adds the content into cell
            textRange = table[0, 1].AddParagraph().AppendText("Price($)");
            textRange.CharacterFormat.FontName = "Arial";
            textRange.CharacterFormat.FontSize = 12;
            textRange.CharacterFormat.Bold = true;
            //Accessess the instance of the cell (second row, first cell) and adds the content into cell
            table[1, 0].AddParagraph().AppendText("Apple");
            //Accessess the instance of the cell (second row, second cell) and adds the content into cell
            table[1, 1].AddParagraph().AppendText("50");
            //Accessess the instance of the cell (third row, first cell) and adds the content into cell
            table[2, 0].AddParagraph().AppendText("Orange");
            //Accessess the instance of the cell (third row, second cell) and adds the content into cell
            table[2, 1].AddParagraph().AppendText("30");
            //Add table to TextBodyPart
            textBodyPart.BodyItems.Add(table);
            //Replace the place holder text with the TextBodyPart(which contains table)
            document.Replace(textSelection.SelectedText, textBodyPart, false, true);            
            //Save the document
            document.Save(@"..\..\Output\Sample.docx");
            //Close the document
            document.Close();
            System.Diagnostics.Process.Start(@"..\..\Output\Sample.docx");
        }
    }
}
